Subject: bug#19798: 24.4; eww-mode error in process sentinel 'Invalid date' when receiving a valid date

From: Matthew Carter <[email-masked]>
Date: Sat, 07 Feb 2015 08:46:59 -0500

It is and I did, but the emacs with the issue is not configured for gnus/mail yet so I was reporting from my 64bit emacs instead .  After seeing it includes by default a lot of personal information such as the last few things I typed and my home paths I just deleted the info it auto added as it was not relevant to the bug.

It seems to be a year 2038 bug in the encode - time function, but eww should gracefully handle vs just failing when it happens.

<div>-------- Original message --------</div><div>From: Eli Zaretskii <[email-masked]> </div><div>Date:02/07/2015  3:17 AM  (GMT-05:00) </div><div>To: Matthew Carter <[email-masked]> </div><div>Cc: [email-masked] </div><div>Subject: Re: bug#19798: 24.4;	eww-mode error in process sentinel 'Invalid date' when receiving a	valid date </div><div>
</div>> From: Matthew Carter <[email-masked]>
> Date: Fri, 06 Feb 2015 23:49:18 -0500
> 
> When running eww-mode and visiting a site using a cookie expiration date
> set to "Mon, 06 Mar 2130 20:55:03 GMT" eww-mode will fail to load
> subsequent URLs on the domain (in this case http://ahungry.com) and
> instead simply print the following message in the echo area:
> 
> error in process sentinel: Invalid date: Mon, 06 Mar 2130 20:55:03 GMT

Is your Emacs a 32-bit executable?

More generally, please use "M-x report-emacs-bug RET" to report all
the details about your Emacs and the underlying OS features.